Name:    ModemManager-nosuspend
Version: 0.2
Release: 2%{?dist}
Summary: ModemManager systemd script for mobile devices needing nosuspend on modem
License: Free as a bird
URL:     http://www.freedesktop.org/wiki/Software/ModemManager/
Source:  https://www9.warpspeed.dk/ModemManager-nosuspend.zip

Requires: ModemManager >= 1.18.2

%description
The ModemManager service manages WWAN modems and provides a consistent API for
interacting with these devices to client applications. This package overrides
the ModemManager startup script to make ModemManager run with nosuspend option.

%global debug_package %{nil}

%prep
%autosetup -p1 

%install
mkdir -p $RPM_BUILD_ROOT/etc/systemd/system
cp ModemManager.service $RPM_BUILD_ROOT/etc/systemd/system

%post
systemctl daemon-reload
systemctl restart ModemManager.service

%files 
%{_sysconfdir}/systemd/system/ModemManager.service

%changelog
* Wed Mar 13 2024 Yoda - 0.2-2
- No change - just a COPR refresh

* Mon Oct 18 2021 Yoda - 0.2-1
- Update command string

* Thu Jul 22 2021 Yoda - 0.1-1
- Initial version 0.1
